
# qmode : 1 = yes/no
#         2 = string
function question () {
	local q=$1
	local qmode=$2
	local def="$3"

	if [ "$qmode" = "1" ] ; then
		while [ 1 = 1 ] ; do
			echo -n "$q [yes/no]" >&2
			if [ x"$def" != x ]; then
				echo -n " ($def)" >&2
			fi
			echo -n ": " >&2
			read answer
			if [ "x$answer" = "x" ] ; then
				echo "$def"
				return
			fi
			if [ "$answer" != "yes" ] && [ "$answer" != "no" ] ; then
				echo "Answer 'yes' or 'no' !!" >&2
			else
				echo "$answer"
				return
			fi
		done
	elif [ "$qmode" = "2" ] ; then
		echo -n "$q" >&2
		if [ x"$def" != x ]; then
			echo -n " ($def)" >&2
		fi
		echo -n ": " >&2
		read answer
		if [ "x$answer" = "x" ] ; then
			answer="$def"
		fi
		echo "$answer"
		return
	fi

	echo "ERROR: With question mode (script internal error) !?!!" >&2
}

