# libtool can compile c and c++ programs
set -e

# libtool is not included in host-gcc package
[ "x`sb-conf sh -c`" != "xhost-gcc" ] || exit 0

SOURCE_C='hello.c'
SOURCE_CPP='hello.cc'

cat > "$SOURCE_C" << EOF
#include <stdio.h>

int main(void)
{
	printf("hello world\n");
	return 0;
}
EOF

cat > "$SOURCE_CPP" << EOF
#include <iostream>

using std::cout;
using std::endl;

int main()
{
	cout << "hello world" << endl;
	return 0;
}
EOF

libtool --mode=compile gcc -c "$SOURCE_C"
libtool --mode=compile g++ -c "$SOURCE_CPP"

