
# This is CPAN.pm's systemwide configuration file. This file provides
# defaults for users, and the values can be changed in a per-user
# configuration file. The user-config file is being looked for as
# ~/.cpan/CPAN/MyConfig.pm.

$CPAN::Config = {
	'make_arg' => q[CC=host-gcc LD=host-gcc],
	'make_install_arg' => q[CC=host-gcc LD=host-gcc],
  	'makepl_arg' => q[CCFLAGS=' -I/host_usr/perl/include ' \
  		LDDLFLAGS='-shared -L/host_usr/perl/lib' \
  		PREFIX=/host_usr/perl \
      		INSTALLPRIVLIB=/host_usr/perl \
      		INSTALLSCRIPT=/host_usr/perl \
      		INSTALLSITELIB=/host_usr/perl \
      		INSTALLBIN=/host_usr/perl \
      		INSTALLMAN1DIR=/host_usr/perl/man  \
		INSTALLMAN3DIR=/host_usr/perl/man3],
};
1;
__END__
